{
    template:'${tmpl}',
    data:function(){
      return {
        detaildata:"",
      };
    },
    mounted:function(){
      console.log("+++++++++++++++++zyf++++++++++++++++++++++++++++++++++++");
      var url = location.href;
      console.log(url);
      console.log(this.$router.history.current.query);
      console.log(this.$router.history.current.query.usc_code);
      console.log(this.$router.history.current.query.company_name);
      var usc_code=this.$router.history.current.query.usc_code;
      var company_name=this.$router.history.current.query.company_name;
      var obj={
        usc_code:usc_code,
        company_name:company_name
      };
      var that=this;
      const loadingbyc = this.$loading({
       lock: true,
       text: 'Loading',
       spinner: 'el-icon-loading',
       background: 'rgba(0, 0, 0, 0.7)'
      });
      this.$root.postReq("/web/magicsearchCtl/magicDetail",obj).then(function(d){
        loadingbyc.close();
        console.log(d);
        that.detaildata=d.data.detaildata[0];
        console.log(that.detaildata);
      }).catch(function(e){
        that.$message.warning(`操作失败，请刷新页面后重新操作`);
      });
    },
    created:function(){
    },
    methods:{


    },
    vname:"gsb-magicdetail"
}
